## milk.data
Class MIDataPopulation

    java.lang.Object
      |
      +--milk.data.MIDataPopulation

public class MIDataPopulation
extends java.lang.Object

Generate n-dimensional 2-class MI data using instance-based approach population version

Constructor Summary
`MIDataPopulation()`

Method Summary
`protected double` `exemplarPosterior(double[] x, double[] beta)`
`void` `generateData(java.lang.String[] args)`
`static void` `main(java.lang.String[] args)`
`protected double` `nextPoint(double x0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MIDataPopulation

    public MIDataPopulation()

Method Detail

### main

    public static void main(java.lang.String[] args)

### generateData

    public void generateData(java.lang.String[] args)
                      throws java.lang.Exception

    `java.lang.Exception`

### nextPoint

    protected double nextPoint(double x0)
                        throws java.lang.Exception

    `java.lang.Exception`

### exemplarPosterior

    protected double exemplarPosterior(double[] x,
                                       double[] beta)
                                throws java.lang.Exception

    `java.lang.Exception`